server:
  port: 8087
  tomcat:
    connection-timeout: 300000
spring:
  #应用名称
  application:
    name: Project-plateform
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      master:
        driverClassName: com.mysql.cj.jdbc.Driver
        #              url: jdbc:mysql://120.27.210.161:3306/testdb?useUnicode=true&characterEncoding=UTF8&rewriteBatchedStatements=true
        #              username: testdb
        #              password: 27CTfsyJmZRESmsa
        url: jdbc:mysql://121.37.111.42:3306/filemanagedb?useUnicode=true&characterEncoding=UTF8&rewriteBatchedStatements=true
        username: filemanagedb
        password: GAPchydbCKYFjjAa
        #url: jdbc:mysql://43.138.168.68:3306/filemanagedb?useUnicode=true&characterEncoding=UTF8&rewriteBatchedStatements=true
        #username: root
        #password: ylfw20230626@
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  servlet:
    multipart:
      max-file-size: 50GB
      max-request-size: 50GB
    tomcat:
      max-swallow-size: -1
      connection-timeout: 86400000
      max-http-form-post-size: -1
  data:
    redis:
      host: 127.0.0.1
      port: 6379
      password:
      database: 0
logging:
  file:
    path: E:/projectJava/FileManage/logs/
    name: logs/projectname.log
  level:
    com.genersoft.iot: debug
    com.genersoft.iot.vmp.storager.dao: info
    com.genersoft.iot.vmp.gb28181: info

# 在线文档： swagger-ui（生产环境建议关闭）
swagger-ui:
  enabled: flase
mybatis-plus:
  configuration:
    default-enum-type-handler: com.yfd.platform.config.MybatisEnumTypeHandler
    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl

# 登录相关配置
login:
  # 登录缓存
  cache-enable: true
  #  是否限制单用户登录
  single-login: false
  #  验证码
  login-code:
    #  验证码类型配置 查看 LoginProperties 类
    code-type: arithmetic
    #  登录图形验证码有效时间/分钟
    expiration: 2
    #  验证码高度
    width: 111
    #  验证码宽度
    heigth: 36
    # 内容长度
    length: 2
    # 字体名称，为空则使用默认字体
    font-name:
    # 字体大小
    font-size: 25

# IP 本地解析
ip:
  local-parsing: true


file-space: #项目文档空间
  system: D:\file\system\ #单独上传的文件

# 文件预览大小
file-system:
  preview:
    text:
      maxFileSizeKb: 512



task:
  pool:
    # 核心线程池大小
    core-pool-size: 10
    # 最大线程数
    max-pool-size: 30
    # 活跃时间
    keep-alive-seconds: 60
    # 队列容量
    queue-capacity: 50

token:
  # 允许外部系统访问接口的token 清单
  list: aUD3gRH7,AuRHssJN
